JaxbCascadeType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbCascadeType

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbCascadeType

    public class JaxbCascadeType

extends Object

public enum CascadeType { ALL, PERSIST, MERGE, REMOVE, REFRESH, DETACH};

Java class for cascade-type complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="cascade-type">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="cascade-all" type="{http://java.sun.com/xml/ns/persistence/orm}emptyType" minOccurs="0"/>
             <element name="cascade-persist" type="{http://java.sun.com/xml/ns/persistence/orm}emptyType" minOccurs="0"/>
             <element name="cascade-merge" type="{http://java.sun.com/xml/ns/persistence/orm}emptyType" minOccurs="0"/>
             <element name="cascade-remove" type="{http://java.sun.com/xml/ns/persistence/orm}emptyType" minOccurs="0"/>
             <element name="cascade-refresh" type="{http://java.sun.com/xml/ns/persistence/orm}emptyType" minOccurs="0"/>
             <element name="cascade-detach" type="{http://java.sun.com/xml/ns/persistence/orm}emptyType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected JaxbEmptyType` | `cascadeAll`
`protected JaxbEmptyType` | `cascadeDetach`
`protected JaxbEmptyType` | `cascadeMerge`
`protected JaxbEmptyType` | `cascadePersist`
`protected JaxbEmptyType` | `cascadeRefresh`
`protected JaxbEmptyType` | `cascadeRemove`

Constructor Summary
`JaxbCascadeType()`

Method Summary
`JaxbEmptyType` | `getCascadeAll()` Gets the value of the cascadeAll property.
`JaxbEmptyType` | `getCascadeDetach()` Gets the value of the cascadeDetach property.
`JaxbEmptyType` | `getCascadeMerge()` Gets the value of the cascadeMerge property.
`JaxbEmptyType` | `getCascadePersist()` Gets the value of the cascadePersist property.
`JaxbEmptyType` | `getCascadeRefresh()` Gets the value of the cascadeRefresh property.
`JaxbEmptyType` | `getCascadeRemove()` Gets the value of the cascadeRemove property.
`void` | `setCascadeAll(JaxbEmptyType value)` Sets the value of the cascadeAll property.
`void` | `setCascadeDetach(JaxbEmptyType value)` Sets the value of the cascadeDetach property.
`void` | `setCascadeMerge(JaxbEmptyType value)` Sets the value of the cascadeMerge property.
`void` | `setCascadePersist(JaxbEmptyType value)` Sets the value of the cascadePersist property.
`void` | `setCascadeRefresh(JaxbEmptyType value)` Sets the value of the cascadeRefresh property.
`void` | `setCascadeRemove(JaxbEmptyType value)` Sets the value of the cascadeRemove property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cascadeAll

    protected JaxbEmptyType cascadeAll

### cascadePersist

    protected JaxbEmptyType cascadePersist

### cascadeMerge

    protected JaxbEmptyType cascadeMerge

### cascadeRemove

    protected JaxbEmptyType cascadeRemove

### cascadeRefresh

    protected JaxbEmptyType cascadeRefresh

### cascadeDetach

    protected JaxbEmptyType cascadeDetach

Constructor Detail

### JaxbCascadeType

    public JaxbCascadeType()

Method Detail

### getCascadeAll

    public JaxbEmptyType getCascadeAll()

  Gets the value of the cascadeAll property.

  Returns:
    possible object is `JaxbEmptyType`

### setCascadeAll

    public void setCascadeAll(JaxbEmptyType value)

  Sets the value of the cascadeAll property.

  Parameters:
    `value` - allowed object is `JaxbEmptyType`

### getCascadePersist

    public JaxbEmptyType getCascadePersist()

  Gets the value of the cascadePersist property.

  Returns:
    possible object is `JaxbEmptyType`

### setCascadePersist

    public void setCascadePersist(JaxbEmptyType value)

  Sets the value of the cascadePersist property.

  Parameters:
    `value` - allowed object is `JaxbEmptyType`

### getCascadeMerge

    public JaxbEmptyType getCascadeMerge()

  Gets the value of the cascadeMerge property.

  Returns:
    possible object is `JaxbEmptyType`

### setCascadeMerge

    public void setCascadeMerge(JaxbEmptyType value)

  Sets the value of the cascadeMerge property.

  Parameters:
    `value` - allowed object is `JaxbEmptyType`

### getCascadeRemove

    public JaxbEmptyType getCascadeRemove()

  Gets the value of the cascadeRemove property.

  Returns:
    possible object is `JaxbEmptyType`

### setCascadeRemove

    public void setCascadeRemove(JaxbEmptyType value)

  Sets the value of the cascadeRemove property.

  Parameters:
    `value` - allowed object is `JaxbEmptyType`

### getCascadeRefresh

    public JaxbEmptyType getCascadeRefresh()

  Gets the value of the cascadeRefresh property.

  Returns:
    possible object is `JaxbEmptyType`

### setCascadeRefresh

    public void setCascadeRefresh(JaxbEmptyType value)

  Sets the value of the cascadeRefresh property.

  Parameters:
    `value` - allowed object is `JaxbEmptyType`

### getCascadeDetach

    public JaxbEmptyType getCascadeDetach()

  Gets the value of the cascadeDetach property.

  Returns:
    possible object is `JaxbEmptyType`

### setCascadeDetach

    public void setCascadeDetach(JaxbEmptyType value)

  Sets the value of the cascadeDetach property.

  Parameters:
    `value` - allowed object is `JaxbEmptyType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.